import { TextFieldBase, secureProperty } from './text-field-common';
import { keyboardTypeProperty } from '../editable-text-base';
export * from './text-field-common';
export declare class TextField extends TextFieldBase {
    [secureProperty.setNative]: () => void;
    [keyboardTypeProperty.setNative]: () => void;
    _configureEditText(editText: android.widget.EditText): void;
    _onReturnPress(): void;
    setSecureAndKeyboardType(): void;
}
